Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### max()
Examples |
    int a = max(5, 9);            // Sets "a" to 9
    int b = max(-4, -12);         // Sets "b" to -4
    float c = max(12.3, 230.24);  // Sets "c" to 230.24
    int[] list = { 9, -4, 230.24 };
    int h = max(list);            // Sets "h" to 230.24
Description | Determines the largest value in a sequence of numbers.
Syntax |
    max(value1, value2)
    max(value1, value2, value 3)
    max(array)
Parameters |
value1 | int or float
value2 | int or float
value3 | int or float
array | int or float array
Returns | int or float (depending on the inputs)
Usage | Web & Application
Related | min()

Updated on August 30, 2010 04:29:39pm EDT